/* --- RESET GLOBAL PARA EVITAR DESBORDAMIENTOS --- */
*,
*::before,
*::after {
  box-sizing: border-box;
}

html,
body {
  max-width: 100vw;
  overflow-x: clip; /* Corta el scroll horizontal sin anular el position: sticky */
}

html {
  scroll-behavior: smooth;
}

:root {
  --bg-color: #0e253c;
  --text-color: #ffffff;
  --divisor-color: #d4a84b;
  --primario: #0e253c;
  --bg-card: #1f354a;
  --bg-card-2: #e7ebef;
  --secundario: #d4a84b;
  --secundario-hover: #b5952f;
}

/* Variables para Modo Claro */
[data-theme="light"] {
  --bg-color: #ffffff;
  --text-color: #0e253c;
  --divisor-color: #d4a84b;
  --bg-card: #f6fafd;
  --bg-card-2: #e7ebef;
  --secundario: #d4a84b;
  --secundario-hover: #b5962fad;
}

body {
  margin: 0;
  font-family: "Public Sans", sans-serif;
  background-color: var(--bg-color);
  color: var(--text-color);
  transition:
    background-color 0.3s ease,
    color 0.3s ease; /* Transición suave para el tema */
}

.titulo {
  font-family: "DM Serif Display", serif;
}

.btn-primary {
  background-color: var(--secundario);
  color: var(
    --bg-color
  ); /* El texto siempre oscuro para contrastar con el dorado */
  border: none;
  padding: 0.7rem 1.5rem;
  border-radius: 25px;
  font-weight: 700;
  font-size: 1rem;
  cursor: pointer;
  transition: all 0.2s ease;
}

.btn-primary:hover {
  color: var(--text-color);
  box-shadow:
    #d4a94b8a 0px 0px 1px 5px,
    #d4a94b32 0px 0px 5px 10px;
}

.btn-primary:active {
  transform: scale(0.95);
}
